---
name: Bug report
about: Report a defect with NextAuth.js
labels: bug
assignees: ""
---

## Description 🐜

Please provide a clear and concise description of the bug in NextAuth.js.

🚧 – _Do not report bugs with your own project here; ask for help [by raising a question instead](https://github.com/nextauthjs/next-auth/issues/new?assignees=&labels=question&template=question.md) - this helps us a lot with administration overhead._

## How to reproduce ☕️

We encourage you to use one of the templates set up on **CodeSandbox** to reproduce your issue:

- [`next-auth-example`](https://codesandbox.io/s/next-auth-example-1kktb)
- [`next-auth-typescript-example`](https://codesandbox.io/s/next-auth-typescript-example-se32w)

🚧 – _If you don't provide any way to reproduce the bug, the issue is at risk of being closed._

## Screenshots / Logs 📽

**Help us help you**. We can address the bug you found much faster if you provide contextual screenshots or screen recordings showcasing the issue.

See [Kap](https://getkap.co/) for a good, easy-to-use, cross-platform screen recording tool.

## Environment 🖥

Please run this command:

```
$ npx envinfo --system --binaries --browsers --npmPackages "{next-auth}"
```

and paste the output here.

## Contributing 🙌🏽

It takes a lot of work 🏋🏻‍♀️ maintaining a library like `next-auth`; any contribution is more than welcome 💚

In case you're willing to help fix this bug, please let us know here, and we'll reach you 😊 . Otherwise, you can have a look at the issues labelled with [`"good first issue"`](https://github.com/nextauthjs/next-auth/issues?q=is%3Aissue+is%3Aopen+label%3A%22good+first+issue%22) and pick any of them.
